API server

https://app.coolify.io/api/v1

Choose where to send API requests

This changes the request URL and code examples on every endpoint page.

API server type

Requests will use

https://app.coolify.io/api/v1

Use only a Coolify URL you trust. Sending a test request also sends the API token you enter.

PATCH
/gitlab-apps/{gitlab_app_id}

Update an existing GitLab app.

Authorization

bearerAuth
AuthorizationBearer <token>

Go to Keys & Tokens / API tokens and create a new token. Use the token as the bearer token.

In: header

Path Parameters

gitlab_app_id*integer

GitLab App ID

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

name?string

GitLab App name

html_url?string

GitLab HTML URL

api_url?string

GitLab API URL

custom_user?string

Custom user for SSH

custom_port?integer

Custom port for SSH

group_name?string

Optional group filter

client_id?string

OAuth Application ID

client_secret?string

OAuth Application Secret

webhook_token?string

Webhook secret token

redirect_uri?string

OAuth redirect URI

is_system_wide?boolean

Is system wide (non-cloud instances only)

Response Body

application/json

application/json

curl -X PATCH "https://app.coolify.io/api/v1/gitlab-apps/0" \  -H "Content-Type: application/json" \  -d '{}'
{  "message": "GitLab app updated successfully",  "data": {}}
Empty
Empty
{  "message": "Validation error.",  "errors": {    "name": [      "The name field is required."    ],    "api_url": [      "The api url field is required.",      "The api url format is invalid."    ]  }}